= nng_http_res_get_header(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_res_get_header - return HTTP response header

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

const char *nng_http_res_get_header(nng_http_res *res, const char *key);
----

== DESCRIPTION

The `nng_http_res_get_header()` looks for an HTTP header _key_ in
the response _res_, and returns the associated value if found,
or `NULL` if not found.

The value of _key_ is case insensitive, and should not include the final
colon in an HTTP header.
For example, specifying `Host` or `hOSt` are
equivalent, whereas the value `Host:` will not find anything.


== RETURN VALUES

HTTP header value for _key_, if it exists, or NULL otherwise.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_res_alloc.3http.adoc[nng_http_res_alloc(3http)],
xref:nng_http_res_add_header.3http.adoc[nng_http_res_add_header(3http)],
xref:nng_http_res_set_header.3http.adoc[nng_http_res_set_header(3http)],
xref:nng.7.adoc[nng(7)]
